import { Text, View } from "@tarojs/components"
import { memo, useCallback, useEffect, useMemo } from "react"
import {formatKbPrice} from '@/common/common'
import classnames from "classnames";
import styles  from './index.module.scss'
import AmountShow from "../amountShow";
type Param = {
    style?: Object,
    number?: number,
    title?: string,
    titleStatus?: true|false, //true 标题加大加深
    numberStatus?: 0|1|2, //数字尺寸
    messageTitle: string,
    messageHeight: number,
    messageWidth: number
}
export default memo(({style, number = 0, titleStatus = true, title = '', numberStatus = 1, messageHeight = 100, messageWidth = 260}:Param) => {
    return (
        <>  
            <View className={styles.order_price}>
                <View className={classnames(styles.order_price_text, titleStatus&&styles.emphasis)}>
                    <Text>{title}</Text>
                    <View className={styles.iconfont_msg}>
                        {/* <View style={{height:`${messageHeight}rpx`, top:`${-messageHeight}rpx`, width: `${messageWidth}rpx`}} className={classnames(styles.message)}>1231231231212123123123lll12312123123lll12312123123lll12312</View> */}
                        <Text className={classnames(styles.miconfont, 'iconfont icon-zhushi')}></Text>
                    </View>
                </View>
                <AmountShow status={numberStatus} number={number}/>
                {/* <View className={styles.close} catchMove></View> */}
            </View>
        </>
    )
})